• After updating Yaourt is not working


    I got update few ago, after updating Yaourt shows this error. I am getting same error from command line and Pacmac.

    Why this happening?

    0_1456927208306_Screenshot from 2016-03-02 19-58-39.png

  • It has been discussed in a numaeous threads here, like this one.
    https://forum.antergos.com/topic/4059/package-query-core-dump-version-1-8/2
    You ll have to wait for a fix, as you can see…

    1.Antergos Linux KDE plasma / Gnome 2.Ubuntu 17.10 64bit Unity
    Intel Core2 Duo CPU P8400 2.26GHz‖ RAM 3908 MiB ‖ Dell Inc. 0F328M - Dell Inc. Latitude E6500
    Intel Mobile 4 Series Chipset Integrated Graphics [8086:2a42] {i915

  • yaourt and pacmac has been updated once again, but it don’t fix 😥

  • Same issue here!

  • Some minutes ago there had been an update, but it did not solve the problem. Yaourt does not work anymore.

  • Yaourt works flawlessly

    
    $ date +"%Y-%m-%d %H:%M:%S" && yaourt -Syua && date +"%Y-%m-%d %H:%M:%S"
    2016-03-04 21:06:00
    [sudo] password for just: *********
    :: Synchronizing package databases...
     core is up to date           0.0   B  0.00B/s 00:00 [----------]   0%
     extra is up to date          0.0   B  0.00B/s 00:00 [----------]   0%
     community                    3.4 MiB  3.66M/s 00:01 [##########] 100%
     multilib is up to date       0.0   B  0.00B/s 00:00 [----------]   0%
     antergos is up to date       0.0   B  0.00B/s 00:00 [----------]   0%
     Foreign packages: / 1 / 1
    2016-03-04 21:06:05
    $
    

    Can you be more specific describing a problem with yaourt?

  • My reality is that:
    ~~date +"%Y-%m-%d %H:%M:%S" && yaourt -Syua && date +"%Y-%m-%d %H:%M:%S"
    2016-03-04 19:57:59
    :: Synchronisiere Paketdatenbanken…
    core ist aktuell
    extra ist aktuell
    community ist aktuell
    multilib ist aktuell
    antergos ist aktuell
    /usr/lib/yaourt/util.sh: Zeile 190: 1675 Ungültiger Maschinenbefehl (Speicherabzug geschrieben) package-query “${PKGQUERY_C_ARG[@]}” [email protected]

    2016-03-04 19:58:02~~

  • @a-bostaurus Try to refresh your mirrors with reflector:

    sudo reflector --age 8 --fastest 128 --latest 64 --number 32 --sort rate --save /etc/pacman.d/mirrorlist
    

    Re-try to run yaourt after that.

  • The command is unknown:
    sudo reflector --age 8 --fastest 128 --latest 64 --number 32 --sort rate --save /etc/pacman.d/mirrorlist
    [sudo] Passwort für mz-c03:
    sudo: reflector: Befehl nicht gefunden

  • @a-bostaurus Install reflector. Keep your mirrors up-to-date:

    sudo pacman -Syu reflector
    
  • always a good idea. would be cool if we could make reflector part of the install process for people.

  • @just , I followed all the commands you gave, but to no avail. I still get ths…
    /usr/lib/yaourt/util.sh: γραμμή 190: 12416 Ακατάλληλη εντολή (core dumped) package-query "${PKGQUERY_C_ARG[@]}" "$@"

    1.Antergos Linux KDE plasma / Gnome 2.Ubuntu 17.10 64bit Unity
    Intel Core2 Duo CPU P8400 2.26GHz‖ RAM 3908 MiB ‖ Dell Inc. 0F328M - Dell Inc. Latitude E6500
    Intel Mobile 4 Series Chipset Integrated Graphics [8086:2a42] {i915

  • @anarch Could you post back here the full output of the command

    $ sudo pacman -Q yaourt
    [sudo] password for just: *********
    yaourt 1.8-1
    $ 
    
  • Got the very same output as yours…Here you go…

    $ sudo pacman -Q yaourt
    [sudo] password for george: 
    yaourt 1.8-1
    [[email protected] ~]$

    1.Antergos Linux KDE plasma / Gnome 2.Ubuntu 17.10 64bit Unity
    Intel Core2 Duo CPU P8400 2.26GHz‖ RAM 3908 MiB ‖ Dell Inc. 0F328M - Dell Inc. Latitude E6500
    Intel Mobile 4 Series Chipset Integrated Graphics [8086:2a42] {i915

  • @anarch said:

    Got the very same output as yours…

    OK, yaourt is up-todate. Hopefully, as well as your mirrors. reflector is of big help for that. What package do you try to install? Can you post the full output, what command do you use and what does it respond?

  • Hello, I did all the above mentioned commands, I had deleted und reinstalled yaourt , but still it is not working.
    The packages I try to update are:

    • softmaker-office-2016-bin
    • several seafile*
      (BTW: how can I write my text in code in this forum?
  • @a-bostaurus said:

    Hello, I did all the above mentioned commands, I had deleted und reinstalled yaourt , but still it is not working.

    yaourt continues to work without a problem here.

    The packages I try to update are:

    • softmaker-office-2016-bin

    yaourt wants to install the package. There’s no problem with it:

    ==> Continue installing softmaker-office-2016-bin ? [Y/n]
    ==> [v]iew package contents [c]heck package with namcap
    ==> ---------------------------------------------------
    ==> no, thanks
    
    • several seafile*

    seafile* is unkown

    $ yaourt -S seafile
    error: target not found: seafile
    $ 
    

    (BTW: how can I write my text in code in this forum?

    • Three backticks on an empty line before the code block
    • Three backticks on an empty line after the code block
    • Removing trailing spaces from the text also helps a lot

    More info about markdown tags:

  • @just said:

    OK, yaourt is up-todate. Hopefully, as well as your mirrors. reflector is of big help for that. What package do you try to install? Can you post the full output, what command do you use and what does it respond?

    Thanks for reflector. :thumbsup: Actually, I am not trying to install anything from `yaourt.

    1. From CL I get nothing from AUR during updating. I just get the other repos updated and pacman finishes like this…
    yaourt -Syyua
    [sudo] password for george: 
    :: Συγχρονισμός βάσεων πακέτων...
     core                     121,7 KiB   380K/s 00:00 [######################] 100%
     extra                   1768,6 KiB   444K/s 00:04 [######################] 100%
     community                  3,4 MiB   444K/s 00:08 [######################] 100%
     multilib                 162,5 KiB   459K/s 00:00 [######################] 100%
     antergos                 460,3 KiB   394K/s 00:01 [######################] 100%
    /usr/lib/yaourt/util.sh: γραμμή 190:  6289 Ακατάλληλη εντολή         (core dumped) package-query "${PKGQUERY_C_ARG[@]}" "$@"
    [[email protected] ~]$
    
    1. When pacman finishes…pamac flashes up with the latest google-chrome update:smile:
      It gets to the point of building packages, right afterwards i get the usual
    /usr/lib/yaourt/util.sh: γραμμή 190: 12416 Ακατάλληλη εντολή (core dumped) package-query "${PKGQUERY_C_ARG[@]}" "$@"
    

    asks for my pswd & finally…target not found:google-chrome

    *** Here is the output of softmaker-office-2016-bin, @a-bostaurus is trying to install…

    $ yaourt -S softmaker-office-2016-bin
    /usr/lib/yaourt/util.sh: γραμμή 190:  6682 Ακατάλληλη εντολή         (core dumped) package-query "${PKGQUERY_C_ARG[@]}" "$@"
    [sudo] password for george: 
    σφάλμα: δεν βρέθηκε το πακέτο-στόχος: softmaker-office-2016-bin
    
    

    Targt not found…

    1.Antergos Linux KDE plasma / Gnome 2.Ubuntu 17.10 64bit Unity
    Intel Core2 Duo CPU P8400 2.26GHz‖ RAM 3908 MiB ‖ Dell Inc. 0F328M - Dell Inc. Latitude E6500
    Intel Mobile 4 Series Chipset Integrated Graphics [8086:2a42] {i915

  • Hello @anarch, I understood that you tried to remake or reconstruct the mistake. Yes, so it looks to me.
    Someone questioned dor seafile. Please look here:

    aur/libevhtp-seafile 1.2.9-5 [installed] (21) (6,53)
        A more flexible replacement for libevent's httpd API. [Built for seafile]
    aur/mingw-w64-seafile-shared 4.3.1-1 (0) (0,00)
        Shared components of seafile: seafile-daemon, libseafile, libseafile 
        python bindings (mingw-w64).
    aur/seafile-client 5.0.5-1 [installed: 5.0.3-1] (91) (3,08)
        This is seafile client for synchronizing your local files with seafile 
        server. Qt4 version.
    aur/seafile-client-bin 5.0.5-1 (0) (0,00)
        Cloud storage client applet and cli from deb package
    aur/seafile-client-cli 5.0.5-2 [installed: 5.0.4-4] (44) (6,57)
        Seafile cli client
    aur/seafile-client-qt5 5.0.5-1 (4) (1,69)
        This is seafile client for synchronizing your local files with seafile 
        server. Qt5 version.
    aur/seafile-server 5.0.5-2 [installed: 5.0.4-4] (44) (6,57)
        Seafile server components, without seahub
    aur/seafile-shared 5.0.5-2 [installed: 5.0.4-4] (44) (6,57)
        Shared components of Seafile (seafile-daemon, libseafile, python bindings, 
        manuals)```
  • @a-bostaurus @anarch 's tag edited, to attribute merits to him.

Posts 38Views 5351
Log in to reply